summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2015-12-18 04:13:15 -0500
committerMichael Sterrett <mr_bones_@gentoo.org>2015-12-18 04:13:15 -0500
commita0724e5151612f61c81146cf9814698859210bda (patch)
treef3802582b1507ef9bb78fcbe243acee3783f375c /games-action
parentEAPI=5; minor tidying (diff)
downloadgentoo-a0724e5151612f61c81146cf9814698859210bda.tar.gz
gentoo-a0724e5151612f61c81146cf9814698859210bda.tar.bz2
gentoo-a0724e5151612f61c81146cf9814698859210bda.zip
EAPI=5; minor tidying
Package-Manager: portage-2.2.24
Diffstat (limited to 'games-action')
-rw-r--r--games-action/geki3-KXL/geki3-KXL-1.0.3-r2.ebuild6
1 files changed, 2 insertions, 4 deletions
diff --git a/games-action/geki3-KXL/geki3-KXL-1.0.3-r2.ebuild b/games-action/geki3-KXL/geki3-KXL-1.0.3-r2.ebuild
index 06f91689280..c31e1dec31b 100644
--- a/games-action/geki3-KXL/geki3-KXL-1.0.3-r2.ebuild
+++ b/games-action/geki3-KXL/geki3-KXL-1.0.3-r2.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=4
+EAPI=5
inherit autotools eutils games
DESCRIPTION="2D length scroll shooting game"
@@ -24,8 +24,7 @@ src_prepare() {
sed -i \
-e '1i #include <string.h>' \
-e "s:DATA_PATH \"/.score\":\"${GAMES_STATEDIR}/${PN}\":" \
- src/ranking.c \
- || die "sed failed"
+ src/ranking.c || die
sed -i -e '/CFLAGS/s/$/ @CFLAGS@/' src/Makefile.am || die #bug 426890
epatch "${FILESDIR}"/${P}-paths.patch
mv configure.{in,ac}
@@ -34,7 +33,6 @@ src_prepare() {
src_install() {
default
- emake DESTDIR="${D}" install
insinto "${GAMES_STATEDIR}"
newins data/.score ${PN}
fperms g+w "${GAMES_STATEDIR}"/${PN}